#include "MainFrame.hxx"

#include <TApplication.h>
#include <TGeoManager.h>
#include <TCanvas.h>

ClassImp(MainFrame)


MainFrame::MainFrame(const TGWindow *p, UInt_t w = 800, UInt_t h = 500)
{
    main_ = new TGMainFrame(p, w, h);

    main_->Connect("CloseWindow()", "MainFrame", this, "closeWindow()");


    ec1_ = new TRootEmbeddedCanvas("ec1",main_,300,300);
    main_->AddFrame(ec1_, new TGLayoutHints(kLHintsExpandX | kLHintsExpandY));
    ec1_->GetCanvas()->cd();

    //PROBLEM: works if it is before "ec1_ = new ..."
    TGeoManager * geom = new TGeoManager("MyGeom", "MyGeom");
    geom->Edit();



    main_->MapSubwindows();
    main_->Resize(main_->GetDefaultSize());
    main_->MapWindow();
    UInt_t left = (gClient->GetDisplayWidth() - main_->GetWidth())/2;
    UInt_t top = (gClient->GetDisplayHeight() - main_->GetHeight())/2;
    main_->Move(left,top);

}

//______________________________________________________________________________
void MainFrame::closeWindow()
{
    gApplication->Terminate();
}

//______________________________________________________________________________
MainFrame::~MainFrame()
{
    delete main_;
}

